Update a stewardship relationship
Requires stewardship_relationship_groups_v1. Replaces authored core/link fields; unchanged archived core and already-retained archived links remain valid, while replacements must be live/readable. Material plan impact requires current confirmation/repairs. Requires permission: donors_view; plus one of donors_manage.
curl --request PUT \
--url https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "family_fund",
"display_name": "Display Name",
"core_subject_type": "donor",
"core_subject_id": 1,
"assigned_fundraiser_user_id": 1,
"links": [
{
"role": "giving_vehicle",
"donor_id": 1,
"giving_scope": "none",
"expects_attribution": true,
"is_primary_contact": true,
"collapse_in_portfolio": true,
"relationship_label": "Links.*.Relationship Label"
}
],
"plan_impact_version": "Plan Impact Version",
"plan_repairs": [
{
"plan_id": 1,
"action": "keep_original_subject",
"action_donor_id": 1,
"reason": "Plan Repairs.*.Reason"
}
]
}
'import requests
url = "https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id}"
payload = {
"kind": "family_fund",
"display_name": "Display Name",
"core_subject_type": "donor",
"core_subject_id": 1,
"assigned_fundraiser_user_id": 1,
"links": [
{
"role": "giving_vehicle",
"donor_id": 1,
"giving_scope": "none",
"expects_attribution": True,
"is_primary_contact": True,
"collapse_in_portfolio": True,
"relationship_label": "Links.*.Relationship Label"
}
],
"plan_impact_version": "Plan Impact Version",
"plan_repairs": [
{
"plan_id": 1,
"action": "keep_original_subject",
"action_donor_id": 1,
"reason": "Plan Repairs.*.Reason"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'family_fund',
display_name: 'Display Name',
core_subject_type: 'donor',
core_subject_id: 1,
assigned_fundraiser_user_id: 1,
links: [
{
role: 'giving_vehicle',
donor_id: 1,
giving_scope: 'none',
expects_attribution: true,
is_primary_contact: true,
collapse_in_portfolio: true,
relationship_label: 'Links.*.Relationship Label'
}
],
plan_impact_version: 'Plan Impact Version',
plan_repairs: [
{
plan_id: 1,
action: 'keep_original_subject',
action_donor_id: 1,
reason: 'Plan Repairs.*.Reason'
}
]
})
};
fetch('https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'kind' => 'family_fund',
'display_name' => 'Display Name',
'core_subject_type' => 'donor',
'core_subject_id' => 1,
'assigned_fundraiser_user_id' => 1,
'links' => [
[
'role' => 'giving_vehicle',
'donor_id' => 1,
'giving_scope' => 'none',
'expects_attribution' => true,
'is_primary_contact' => true,
'collapse_in_portfolio' => true,
'relationship_label' => 'Links.*.Relationship Label'
]
],
'plan_impact_version' => 'Plan Impact Version',
'plan_repairs' => [
[
'plan_id' => 1,
'action' => 'keep_original_subject',
'action_donor_id' => 1,
'reason' => 'Plan Repairs.*.Reason'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id}"
payload := strings.NewReader("{\n \"kind\": \"family_fund\",\n \"display_name\": \"Display Name\",\n \"core_subject_type\": \"donor\",\n \"core_subject_id\": 1,\n \"assigned_fundraiser_user_id\": 1,\n \"links\": [\n {\n \"role\": \"giving_vehicle\",\n \"donor_id\": 1,\n \"giving_scope\": \"none\",\n \"expects_attribution\": true,\n \"is_primary_contact\": true,\n \"collapse_in_portfolio\": true,\n \"relationship_label\": \"Links.*.Relationship Label\"\n }\n ],\n \"plan_impact_version\": \"Plan Impact Version\",\n \"plan_repairs\": [\n {\n \"plan_id\": 1,\n \"action\": \"keep_original_subject\",\n \"action_donor_id\": 1,\n \"reason\": \"Plan Repairs.*.Reason\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"kind\": \"family_fund\",\n \"display_name\": \"Display Name\",\n \"core_subject_type\": \"donor\",\n \"core_subject_id\": 1,\n \"assigned_fundraiser_user_id\": 1,\n \"links\": [\n {\n \"role\": \"giving_vehicle\",\n \"donor_id\": 1,\n \"giving_scope\": \"none\",\n \"expects_attribution\": true,\n \"is_primary_contact\": true,\n \"collapse_in_portfolio\": true,\n \"relationship_label\": \"Links.*.Relationship Label\"\n }\n ],\n \"plan_impact_version\": \"Plan Impact Version\",\n \"plan_repairs\": [\n {\n \"plan_id\": 1,\n \"action\": \"keep_original_subject\",\n \"action_donor_id\": 1,\n \"reason\": \"Plan Repairs.*.Reason\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"kind\": \"family_fund\",\n \"display_name\": \"Display Name\",\n \"core_subject_type\": \"donor\",\n \"core_subject_id\": 1,\n \"assigned_fundraiser_user_id\": 1,\n \"links\": [\n {\n \"role\": \"giving_vehicle\",\n \"donor_id\": 1,\n \"giving_scope\": \"none\",\n \"expects_attribution\": true,\n \"is_primary_contact\": true,\n \"collapse_in_portfolio\": true,\n \"relationship_label\": \"Links.*.Relationship Label\"\n }\n ],\n \"plan_impact_version\": \"Plan Impact Version\",\n \"plan_repairs\": [\n {\n \"plan_id\": 1,\n \"action\": \"keep_original_subject\",\n \"action_donor_id\": 1,\n \"reason\": \"Plan Repairs.*.Reason\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 42,
"kind": "family_fund",
"display_name": "Example",
"core_subject_type": "donor",
"core_subject_id": 42,
"representative_donor_id": 42,
"assigned_fundraiser_user_id": 42,
"is_active": true,
"origin": "manual",
"provisioning_key": "Example",
"provisioning_evidence": {},
"core_members": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true
}
],
"links": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true,
"link_id": 42,
"role": "giving_vehicle",
"giving_scope": "attributed_only",
"expects_attribution": true,
"is_primary_contact": true,
"collapse_in_portfolio": true,
"relationship_label": "Example",
"legal_lifetime_giving": 25,
"legal_ytd_giving": 25,
"legal_gift_count": 2
}
],
"data_quality": {
"core_available": true,
"core_issue": "Example",
"count": 2,
"amount": 25,
"gift_amount": 25,
"items": [
{
"donation_id": 42,
"date": "2026-10-20",
"amount": 25,
"missing_attribution_amount": 25,
"existing_attribution_amount": 25,
"currency": "Example",
"legal_donor_name": "Example"
}
]
},
"current_donor_role": "Example",
"current_link_id": 42,
"warnings": [
{
"code": "Example",
"message": "Example"
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Relationship group id in the current organization.
Body
Validated request fields for this operation.
Kind. Validation: required; allowed values: family_fund, business_family, organization.
family_fund, business_family, organization "family_fund"
Display name. Validation: required, string, max:255.
255"Display Name"
Core subject type. Validation: required; allowed values: donor, household.
donor, household "donor"
Core subject id. Validation: required, integer, min:1.
x >= 11
Assigned fundraiser user id. Validation: nullable, integer.
1
Links. Validation: nullable, array, max:100.
100Show child attributes
Show child attributes
Current signed impact_version from stewardship-plans/lifecycle-impact, required when the mutation materially affects open plans.
4096"Plan Impact Version"
Plan repairs. Validation: nullable, array, max:25.
25Show child attributes
Show child attributes
curl --request PUT \
--url https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "family_fund",
"display_name": "Display Name",
"core_subject_type": "donor",
"core_subject_id": 1,
"assigned_fundraiser_user_id": 1,
"links": [
{
"role": "giving_vehicle",
"donor_id": 1,
"giving_scope": "none",
"expects_attribution": true,
"is_primary_contact": true,
"collapse_in_portfolio": true,
"relationship_label": "Links.*.Relationship Label"
}
],
"plan_impact_version": "Plan Impact Version",
"plan_repairs": [
{
"plan_id": 1,
"action": "keep_original_subject",
"action_donor_id": 1,
"reason": "Plan Repairs.*.Reason"
}
]
}
'import requests
url = "https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id}"
payload = {
"kind": "family_fund",
"display_name": "Display Name",
"core_subject_type": "donor",
"core_subject_id": 1,
"assigned_fundraiser_user_id": 1,
"links": [
{
"role": "giving_vehicle",
"donor_id": 1,
"giving_scope": "none",
"expects_attribution": True,
"is_primary_contact": True,
"collapse_in_portfolio": True,
"relationship_label": "Links.*.Relationship Label"
}
],
"plan_impact_version": "Plan Impact Version",
"plan_repairs": [
{
"plan_id": 1,
"action": "keep_original_subject",
"action_donor_id": 1,
"reason": "Plan Repairs.*.Reason"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'family_fund',
display_name: 'Display Name',
core_subject_type: 'donor',
core_subject_id: 1,
assigned_fundraiser_user_id: 1,
links: [
{
role: 'giving_vehicle',
donor_id: 1,
giving_scope: 'none',
expects_attribution: true,
is_primary_contact: true,
collapse_in_portfolio: true,
relationship_label: 'Links.*.Relationship Label'
}
],
plan_impact_version: 'Plan Impact Version',
plan_repairs: [
{
plan_id: 1,
action: 'keep_original_subject',
action_donor_id: 1,
reason: 'Plan Repairs.*.Reason'
}
]
})
};
fetch('https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'kind' => 'family_fund',
'display_name' => 'Display Name',
'core_subject_type' => 'donor',
'core_subject_id' => 1,
'assigned_fundraiser_user_id' => 1,
'links' => [
[
'role' => 'giving_vehicle',
'donor_id' => 1,
'giving_scope' => 'none',
'expects_attribution' => true,
'is_primary_contact' => true,
'collapse_in_portfolio' => true,
'relationship_label' => 'Links.*.Relationship Label'
]
],
'plan_impact_version' => 'Plan Impact Version',
'plan_repairs' => [
[
'plan_id' => 1,
'action' => 'keep_original_subject',
'action_donor_id' => 1,
'reason' => 'Plan Repairs.*.Reason'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id}"
payload := strings.NewReader("{\n \"kind\": \"family_fund\",\n \"display_name\": \"Display Name\",\n \"core_subject_type\": \"donor\",\n \"core_subject_id\": 1,\n \"assigned_fundraiser_user_id\": 1,\n \"links\": [\n {\n \"role\": \"giving_vehicle\",\n \"donor_id\": 1,\n \"giving_scope\": \"none\",\n \"expects_attribution\": true,\n \"is_primary_contact\": true,\n \"collapse_in_portfolio\": true,\n \"relationship_label\": \"Links.*.Relationship Label\"\n }\n ],\n \"plan_impact_version\": \"Plan Impact Version\",\n \"plan_repairs\": [\n {\n \"plan_id\": 1,\n \"action\": \"keep_original_subject\",\n \"action_donor_id\": 1,\n \"reason\": \"Plan Repairs.*.Reason\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"kind\": \"family_fund\",\n \"display_name\": \"Display Name\",\n \"core_subject_type\": \"donor\",\n \"core_subject_id\": 1,\n \"assigned_fundraiser_user_id\": 1,\n \"links\": [\n {\n \"role\": \"giving_vehicle\",\n \"donor_id\": 1,\n \"giving_scope\": \"none\",\n \"expects_attribution\": true,\n \"is_primary_contact\": true,\n \"collapse_in_portfolio\": true,\n \"relationship_label\": \"Links.*.Relationship Label\"\n }\n ],\n \"plan_impact_version\": \"Plan Impact Version\",\n \"plan_repairs\": [\n {\n \"plan_id\": 1,\n \"action\": \"keep_original_subject\",\n \"action_donor_id\": 1,\n \"reason\": \"Plan Repairs.*.Reason\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/fundraising/relationship-groups/{relationship_group_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"kind\": \"family_fund\",\n \"display_name\": \"Display Name\",\n \"core_subject_type\": \"donor\",\n \"core_subject_id\": 1,\n \"assigned_fundraiser_user_id\": 1,\n \"links\": [\n {\n \"role\": \"giving_vehicle\",\n \"donor_id\": 1,\n \"giving_scope\": \"none\",\n \"expects_attribution\": true,\n \"is_primary_contact\": true,\n \"collapse_in_portfolio\": true,\n \"relationship_label\": \"Links.*.Relationship Label\"\n }\n ],\n \"plan_impact_version\": \"Plan Impact Version\",\n \"plan_repairs\": [\n {\n \"plan_id\": 1,\n \"action\": \"keep_original_subject\",\n \"action_donor_id\": 1,\n \"reason\": \"Plan Repairs.*.Reason\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 42,
"kind": "family_fund",
"display_name": "Example",
"core_subject_type": "donor",
"core_subject_id": 42,
"representative_donor_id": 42,
"assigned_fundraiser_user_id": 42,
"is_active": true,
"origin": "manual",
"provisioning_key": "Example",
"provisioning_evidence": {},
"core_members": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true
}
],
"links": [
{
"id": 42,
"household_id": 42,
"name": "Example",
"email": "Example",
"is_organization": true,
"is_archived": true,
"link_id": 42,
"role": "giving_vehicle",
"giving_scope": "attributed_only",
"expects_attribution": true,
"is_primary_contact": true,
"collapse_in_portfolio": true,
"relationship_label": "Example",
"legal_lifetime_giving": 25,
"legal_ytd_giving": 25,
"legal_gift_count": 2
}
],
"data_quality": {
"core_available": true,
"core_issue": "Example",
"count": 2,
"amount": 25,
"gift_amount": 25,
"items": [
{
"donation_id": 42,
"date": "2026-10-20",
"amount": 25,
"missing_attribution_amount": 25,
"existing_attribution_amount": 25,
"currency": "Example",
"legal_donor_name": "Example"
}
]
},
"current_donor_role": "Example",
"current_link_id": 42,
"warnings": [
{
"code": "Example",
"message": "Example"
}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}